Bug 24124 - Cannot select authorities in batch deletion tool in Chrome
Summary: Cannot select authorities in batch deletion tool in Chrome
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 12759
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-26 14:33 UTC by Nick Clemens
Modified: 2020-06-04 20:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24124: Cannot select authorities in batch deletion tool in Chrome (2.54 KB, patch)
2019-12-02 15:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24124: Cannot select authorities in batch deletion tool in Chrome (2.59 KB, patch)
2019-12-03 23:38 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24124: Cannot select authorities in batch deletion tool in Chrome (2.67 KB, patch)
2019-12-05 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24124: Fix authorities selection in batch deletion tool in Chrome (2.67 KB, patch)
2019-12-05 11:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-11-26 14:33:00 UTC
Browse to Tools->Batch record deletion, try to select 'Authorities' - nothing happens
Comment 1 Jonathan Druart 2019-11-27 09:06:53 UTC
It's caused by the use of toptabs. I do not understand what is going on here.

It also affects Batch record modification.
Comment 2 Owen Leonard 2019-12-02 15:17:46 UTC
Created attachment 95926 [details] [review]
Bug 24124: Cannot select authorities in batch deletion tool in Chrome

This patch adds some inline CSS to force clearing on some elements in
the forms for batch record modification and deletion. The problem with
selecting the "Authorities" radio button stemmed from the fact that
non-clearing floats caused elements to invisibly overlap in the form.

To test, apply the patch and test both batch record modification and
batch record deletion. Upon selecting the "Authorities" radio button in
each case the "Select a list of records" tab should disappear. Selecting
the "Biblios" option should re-display the tab.
Comment 3 Lucas Gass 2019-12-03 23:38:32 UTC
Created attachment 95985 [details] [review]
Bug 24124: Cannot select authorities in batch deletion tool in Chrome

This patch adds some inline CSS to force clearing on some elements in
the forms for batch record modification and deletion. The problem with
selecting the "Authorities" radio button stemmed from the fact that
non-clearing floats caused elements to invisibly overlap in the form.

To test, apply the patch and test both batch record modification and
batch record deletion. Upon selecting the "Authorities" radio button in
each case the "Select a list of records" tab should disappear. Selecting
the "Biblios" option should re-display the tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Lucas Gass 2019-12-03 23:39:22 UTC
Good easy fix, thanks Owen.
Comment 5 Jonathan Druart 2019-12-05 11:06:44 UTC
Created attachment 96009 [details] [review]
Bug 24124: Cannot select authorities in batch deletion tool in Chrome

This patch adds some inline CSS to force clearing on some elements in
the forms for batch record modification and deletion. The problem with
selecting the "Authorities" radio button stemmed from the fact that
non-clearing floats caused elements to invisibly overlap in the form.

To test, apply the patch and test both batch record modification and
batch record deletion. Upon selecting the "Authorities" radio button in
each case the "Select a list of records" tab should disappear. Selecting
the "Biblios" option should re-display the tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2019-12-05 11:46:17 UTC
Created attachment 96013 [details] [review]
Bug 24124: Fix authorities selection in batch deletion tool in Chrome

This patch adds some inline CSS to force clearing on some elements in
the forms for batch record modification and deletion. The problem with
selecting the "Authorities" radio button stemmed from the fact that
non-clearing floats caused elements to invisibly overlap in the form.

To test, apply the patch and test both batch record modification and
batch record deletion. Upon selecting the "Authorities" radio button in
each case the "Select a list of records" tab should disappear. Selecting
the "Biblios" option should re-display the tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2019-12-13 14:07:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2019-12-19 22:03:27 UTC
Pushed to 19.11.01